<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            admin-plugins.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/* ==================================================
  Plugins 
================================================== */


/* TGMPA Activation Class
 -------------------------------- */
require_once( 'classes/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'angio_register_required_plugins', 1 );

function angio_register_required_plugins() {

	$plugins = array(
 		
 		/**
		 * Pre-packaged Plugins
		*/
		array(  	
			'name'                  => esc_html__( 'Angio Toolkit', 'angio' ), // The plugin name
			'slug'                  => 'angio-toolkit', // The plugin slug (typically the folder name)
			'source'                => get_template_directory() . '/admin/plugins/angio-toolkit.zip', // The plugin source
			'required'              => true, // If false, the plugin is only 'recommended' instead of required
			'version'               => '1.1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => '', // If set, overrides default API URL and points to an external URL
		),


		/**
		 * WordPress.org Plugins
		 */
		array(
			'name'               => esc_html__( 'Elementor Page Builder', 'angio' ), // The plugin name
			'slug'               => 'elementor', // The plugin slug (typically the folder name)
			'required'           => false, // If false, the plugin is only 'recommended' instead of required
		),
		array(
			'name'               => esc_html__( 'Contact Form 7', 'angio' ), // The plugin name
			'slug'               => 'contact-form-7', // The plugin slug (typically the folder name)
			'required'           => false, // If false, the plugin is only 'recommended' instead of required
		),
		array(
			'name'               => esc_html__( 'WooCommerce', 'angio' ), // The plugin name
			'slug'               => 'woocommerce', // The plugin slug (typically the folder name)
			'required'           => false, // If false, the plugin is only 'recommended' instead of required
		)
		
   );
 
	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'angio';
 
	$config = array(
		'id'           => 'rascals_plugins',
		'domain'       => 'angio',           // Text domain - likely want to be the same as your theme.
		'default_path' => '',                           // Default absolute path to pre-packaged plugins
		'parent_slug'  => 'admin-page',
		'menu'         => 'admin-plugins',
		'has_notices'  => true,                         // Show admin notices or not
		'is_automatic' => false,            // Automatically activate plugins after installation or not
		'message'      => '',               // Message to output right before the plugins table
		'strings' => array(
			'page_title' => esc_html__( 'Install Theme Plugins', 'angio' ),
			'menu_title' => esc_html__( 'Plugins', 'angio' ),
			'desc' => esc_html__( 'Install the included plugins with bottom panel. All the plugins are well tested to work with the theme and we keep them up to date. The themes comes packed with the following plugins:', 'angio' ),
		),
	);
 
	tgmpa( $plugins, $config );
 
}
