<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            archive.php
 * @package angio
 * @since 1.0.0
 */

get_header();

// Copy query 
$temp_post = $post;
$query_temp = $wp_query;


////////////
// CONFIG //
////////////

// Sidebar
// left, right, disabled
$sidebar_pos = angio_get_option( 'category_sidebar_pos', 'left' );


/////////////////
// LOOP BLOCK  //
/////////////////
$block = angio_get_option( 'category_block', 'news-index' );


///////////
// LOOP ///
///////////
$container_classes = array('container', 'container--narrow');

// Clear container classes for specified blocks
if ( $block === 'news3') {
	$container_classes = array('container');
}

// Archive date 
$y = get_query_var( 'year' );
$m = get_query_var( 'monthnum' );
$d = get_query_var( 'day' );
$archive = '';

if ( is_year() ) {
    $archive = esc_html( $y );
}
if ( is_month() ) { 
    $archive = date_i18n( "F", strtotime( date("d-{$m}-y") ) );
}
if ( is_day() || is_time() ) {
    $date_format = get_option( 'date_format' );
    $archive = date_i18n( $date_format, strtotime( date("{$d}-{$m}-{$y}") ) );
}

$loop_args = array( 
	'page_title' => 'category',
	'custom_title' => $archive,
	'custom_subtitle' => esc_html__( 'Archive', 'angio'),
	'type' => 'news', 
	'block' => $block, 
	'container_classes' => $container_classes
);

set_query_var( 'angio_vars', $loop_args );


// Get Loop
get_template_part( 'partials/loop', '' ); 


/////////////
// SIDEBAR //
/////////////
get_sidebar( 'custom', ['position' => $sidebar_pos ] );


// Get footer
get_footer();