<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            author.php
 * @package angio
 * @since 1.0.0
 */

get_header();

// Copy query 
$temp_post = $post;
$query_temp = $wp_query;


////////////
// CONFIG //
////////////

// Sidebar
// left, right, disabled
$sidebar_pos = angio_get_option( 'category_sidebar_pos', 'left' );


/////////////////
// LOOP BLOCK  //
/////////////////
$block = angio_get_option( 'category_block', 'news-index' );


///////////
// LOOP ///
///////////
$container_classes = array('container', 'container--narrow');

// Clear container classes for specified blocks
if ( $block === 'news3') {
	$container_classes = array('container');
}

$author_slug = get_query_var( 'author_name' );
$author_id = $wp_query->query_vars['author'];

$custom_vars = array( 
	'page_title'        => 'category',
	'custom_title'      => get_the_author_meta( 'display_name', $author_id ),
	'custom_subtitle'   => esc_html__( 'posts', 'angio'),
	'type'              => 'news', 
	'block'             => $block, 
	'sidebar_pos'		=> $sidebar_pos,
	'container_classes' => $container_classes
);

set_query_var( 'angio_vars', $custom_vars );

// Get Loop
get_template_part( 'partials/loop', '' ); 


// Get footer
get_footer();