<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            comments.php
 * @package angio
 * @since 1.0.0
 */
?>

<div class="comments_inner">
    
    <?php
    // protect password protected comments
    if ( post_password_required() ) : ?>

    	<p class="comment-message"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'angio' ); ?></p>
    	</div></div>
    <?php return; endif; ?>

    <?php if ( have_comments() ) : ?>
        <h4 class="comments__title"><?php esc_html_e( 'Comments', 'angio' ) ?> <span class="comments__number"><?php echo get_comments_number() ?></span></h4>

    	<div class="comments__container clearfix">	
    		<ul class="comment-list">
    			<?php 
                    wp_list_comments( array(
                        'type' => 'all',
                        'short_ping' => true,
                        'callback'=> 'angio_comments'
                    ) );
                ?>
    		</ul>		
    		<nav class="comments__navigation" role="navigation">
    		    <div class="nav-prev"><?php previous_comments_link(); ?></div>
    		    <div class="nav-next"><?php next_comments_link(); ?></div>
    		</nav>
    	</div>

    <?php else : // there are no comments so far ?>
    	<?php if ( ! comments_open() ) : ?>
    		<!-- If comments are closed. -->
    		<p class="comments__message"><?php esc_html_e( 'Comments are closed.', 'angio' ); ?></p>
    	<?php endif; ?>
    <?php endif; ?>

    <?php
    $fields = array();
    function custom_fields( $fields ) {
        global $comment_author, $comment_author_email, $comment_author_url;
        $consent = empty( $commenter['comment_author_email'] ) ? '' : 'checked="checked"';
        $fields['author'] = '<div class="flex-col-1-3 first">
                <input placeholder="' . esc_attr__('Name *', 'angio' ) . '" type="text" name="author" id="author" value="' . esc_attr( $comment_author ) . '" size="22" tabindex="1" required />
                </div>';
        $fields['email'] = '<div class="flex-col-1-3">
                <input placeholder="' . esc_attr__('Email *', 'angio' ) . '" type="text" name="email" id="email" value="' . esc_attr( $comment_author_email ) . '" size="22" tabindex="2" required />
                </div>';
        $fields['url'] = '<div class="flex-col-1-3 last">
                <input placeholder="' . esc_attr__('URL', 'angio' ) . '" type="text" name="url" id="url" value="' . esc_attr( $comment_author_url ) . '" size="22" tabindex="3"/>
                </div>';
        $fields['cookies'] = '<div class="clear"></div><div class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .'<label for="wp-comment-cookies-consent">' . esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'angio' ) . '</label></div>';
        return $fields;
    }

    add_filter('comment_form_default_fields', 'custom_fields');

    $form_fields = array(
        'submit_button'        => '<div class="b-style-4 b-trigger"><button name="%1$s" type="submit" id="%2$s" class="%3$s"><span class="g" data-g="%4$s">%4$s</span></button></div>',
        'class_submit'         => 'submit b-style-4__a',
        'submit_field'         => '<div class="form-submit">%1$s %2$s</div>',

        'fields' => apply_filters( 'comment_form_default_fields', $fields ),
        'title_reply' => esc_html__('Leave a Reply', 'angio'),
        'title_reply_to' =>  esc_html__('Leave a Reply', 'angio'),
        'cancel_reply_link' => esc_html__('(Cancel Reply)', 'angio'),
        'comment_notes_before' => '',
        'label_submit' => esc_html__('Post Comment', 'angio'),
        'comment_notes_after' => '<p class="form-allowed-tags">' . esc_html__('* Your email address will not be published.', 'angio') . '<br/>' . sprintf( esc_html__('You may use these HTML tags and attributes: %s', 'angio'), ' <span>' . esc_html( allowed_tags() ) . '</span>' ) . '</p>',
        'comment_field' => '<div class="comment-field">
                <textarea placeholder="' . esc_attr__('Comment *', 'angio' ) . '" tabindex="4" rows="9" id="comment" name="comment" class="textarea" required></textarea>
                </div>'
    );
    ?>
    <?php comment_form( $form_fields ); ?>
</div>