<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            footer.php
 * @package angio
 * @since 1.0.0
 */


?>
    </div><!-- #ajax content -->
  
    <!-- Footer container -->
    <?php 
    $footer_classes = '';
    if (angio_get_option('socials', false) === false ) {
    	$footer_classes = 'no-socials';
    } 

     ?>
    <footer id="footer" class="container container--full <?php echo esc_attr( $footer_classes ) ?>">
        <div class="footer__inner">
        	<?php if (angio_get_option('socials', false) !== false ) : ?>
            <div class="footer__left">
                <div class="footer__left-inner">
                    
                    <div class="socials b-trigger fx-cursor" data-cursor-class="hover">
                        
                        <?php echo angio_social_list() ?>

                        <span class="socials__icon magneto"><span class="icon icon-share"></span></span>

                     	<div class="socials__text b-style-3">
		                    <span class="g" data-g="<?php esc_attr_e('Follow', 'angio') ?>"><?php esc_html_e( 'Follow', 'angio') ?></span>
		                </div>
                    </div>
                    

                    <?php if ( angio_get_option('wpml_switcher', 'off') === 'on' && function_exists('angio_toolkit_wpml_switcher') ) : ?>

                    	<?php echo angio_toolkit_wpml_switcher() ?>


                	<?php endif; ?>
                </div>
            </div>
            <?php endif; ?>

            <div class="footer__center">
                <div class="footer__note">
                    <?php 
                    echo wp_kses( angio_get_option( 'footer_note', '&copy; Copyright 2020 <a class="b-style-1" href="#" target="_blank">Angio Theme</a>.' ), 'rich_text' );  
                    ?>
                </div> <!-- .footer-note -->
            </div>

             <div class="footer__right">
                <div class="footer__right-inner">

                    <a href="#" class="arrow-button scroll-top b-trigger">

                       <div class="b-style-3 scroll-top__text">
		                    <span class="g" data-g="<?php esc_attr_e('Scroll Up', 'angio') ?>"><?php esc_html_e( 'Scroll Up', 'angio') ?></span>
		                </div>
                        <div class="scroll-top__icon magneto">
                            <span class="icon icon-chevron-up"></span>
                        </div>
                    </a>
                </div>
            </div>  
        </div>

    </footer><!-- .footer -->

</div><!-- .site -->

<?php 
////////////////
// FX HOLDERS //
////////////////
?>
<div id="fx-load-holder"></div>
<?php if ( angio_get_option('ajaxed', 'off' ) === 'on' ) : ?> <div class="ax--wp-footer"><?php endif; ?>
	<?php wp_footer(); ?>
<?php if ( angio_get_option('ajaxed', 'off' ) === 'on' ) : ?> </div><?php endif; ?>
</body>
</html>