<?php
/**
 * Theme Name: 		Angio
 * Theme Author: 	Mariusz Rek - Rascals Themes
 * Theme URI: 		http://rascalsthemes.com/theme/angio
 * Author URI: 		http://rascalsthemes.com
 * File:			index.php
 * @package angio
 * @since 1.0.0
 */

get_header();

// Copy query 
$temp_post = $post;
$query_temp = $wp_query;


////////////
// CONFIG //
////////////


// Sidebar
// left, right, disabled
$sidebar_pos = 'left'; 

// Pagination 
if ( function_exists( 'angio_get_paged' ) ) {
	$paged = angio_get_paged();
}
if ( get_query_var( 'paged' ) ) { 
	$paged = get_query_var( 'paged' ); 
} elseif ( get_query_var( 'page' ) ) { 
	$paged = get_query_var( 'page' ); 
} else { 
	$paged = 1; 
}


////////////
// LAYOUT //
////////////
$container_classes = array('container', 'container--narrow');


///////////
// LOOP ///
///////////
$custom_vars = array( 
	'block'             => 'news-index', 
	'page_title'        => 'category',
	'custom_title'      => esc_html__( 'Latest News', 'angio'),
	'container_classes' => $container_classes,
);

set_query_var( 'angio_vars', $custom_vars );
set_query_var( 'angio_sidebar', $sidebar_pos );

// Get Loop
get_template_part( 'partials/loop', '' ); 


/////////////
// SIDEBAR //
/////////////
get_sidebar( 'custom', ['position' => $sidebar_pos ] );


// Get footer
get_footer();