<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            content-simple.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Get custom vars 
$opts = get_query_var( 'angio_vars' );

// Render
$render = ( isset($opts) && isset($opts['render']) ) ? $opts['render'] : 'content';

// IMAGE
$is_image = false;
if ( has_post_thumbnail( get_the_ID() ) ) {
	$image_id = get_post_thumbnail_id( get_the_ID() );
	$img_src_large = wp_get_attachment_image_src( $image_id, 'large' );
	$img_src_full = wp_get_attachment_image_src( $image_id, 'full' );
	$is_image = true;
}
?>
<div class="content--simple">

	<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-content__article' ); ?>>

		<?php 
		////////////
		// RENDER //
		////////////
		get_template_part( 'partials/render', $render );  ?>

		<?php 
		/////////////////
		// POST FOOTER //
		/////////////////
		?>
		<?php if ( get_post_type( get_the_ID() ) !== 'page' ) : ?>
		<div class="post-footer">
			<div class="share">
				<?php 
					if ( angio_get_option('display_share_buttons', 'off' ) === 'on' && function_exists('angio_share_buttons') ) {
						echo angio_share_buttons($wp_query->post->ID);
					}
				 ?>
			</div>
			<?php // Tags
				the_tags( '<div class="meta-tags"><span class="icon icon-tag"></span>', ' ', '</div>' );
			?>
		</div>
		<?php endif; ?>
		
		<?php
		/////////////////////
		// POST NAVIGATION //
		/////////////////////
		
		if ( get_post_type( get_the_ID() ) === 'post' ) {
			if ( function_exists( 'angio_post_nav' ) ) {
				echo angio_post_nav();
			} else {
				posts_nav_link( ' &#183; ', esc_html_e( 'previous page', 'angio' ), esc_html_e( 'next page', 'angio' ) );
			}
		} else {
			if ( function_exists( 'angio_custom_post_nav' ) ) {
				echo angio_custom_post_nav();
			} else {
				posts_nav_link( ' &#183; ', esc_html_e( 'previous page', 'angio' ), esc_html_e( 'next page', 'angio' ) );
			}
		}
		?>
		
	</article>  <!-- .article -->

    <?php 
    //////////////
    // COMMENTS //
    //////////////
 	?>
 	<?php if ( comments_open() || get_comments_number() ) : ?>
    <div class="comments">
		<?php
		// If comments are open or we have at least one comment, load up the comment template.
		$disqus = angio_get_option( 'disqus_comments', 'off' );
		if ( ( $disqus && $disqus === 'on' ) ) {
			if ( function_exists( 'angio_toolkit_disqus' ) ) {
				echo angio_toolkit_disqus( get_the_ID() );
			}
			
		} else {
			comments_template();
		}
		?>
	</div>
	<?php endif; ?>

</div> <!-- .content -->