<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            meta-title.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Get custom vars 
$opts = get_query_var( 'angio_vars' );

if (isset($opts['custom_title']) && $opts['custom_title'] !== '') {
	$title = $opts['custom_title'];
} else {
	$title = get_the_title( get_the_ID() );
}

echo angio_theme_title([
	'el' => 'h1',
	'title' => $title,
	'effect' => angio_get_option( 'title_fx', 'console_typer' ),
	'classes' => 'meta__title entry-title'
]);