<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            render-album.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
} 


?>
<div class="album album--on-left">
	
	<div class="row row-medium-gutter">
		
		<div class="col-lg-6 col-md-6 col-12">
			<div class="album__player-wrap">
				<?php 
					$img_src = angio_resize_post_image( get_the_id(), 650, 650, 'c' );
					$unique_id = 'lb_' . uniqid();

					if ( function_exists('angio_toolkit_album_player') ) {
						echo angio_toolkit_album_player([ ]);
					}
				 ?>
			</div>
			<div class="album__meta is-waypoint">
				<?php 
				///////////////////
				// SHARE BUTTONS //
				///////////////////
				?>
				<?php if ( angio_get_option('display_share_buttons', 'off' ) === 'on' && function_exists('angio_toolkit_share_buttons') ) : ?>
				<div class="album__share-buttons">
					<?php echo angio_toolkit_share_buttons([]); ?>
				</div>
				<?php endif;?>
			</div>
		</div>


		<div class="col-lg-6 col-md-6 col-12">
			<div class="album__title">
				<?php get_template_part( 'partials/meta', 'title' ); ?>
			</div>
			<?php 
			/////////////
			// BUTTONS //
			/////////////
			?>
			<?php 
			if ( function_exists('angio_toolkit_album_buttons') && angio_toolkit_album_buttons([]) !== '' ) :?>
				<div class="album__buttons">
					<?php echo angio_toolkit_album_buttons([]); ?>
				</div>
			<?php endif; ?>
			<div class="album__text is-waypoint">
				<?php
				while ( have_posts() ) { 
					the_post();
					// Render content
					the_content();
				} ?>
			</div>
		</div>

	</div>
</div>