<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            render-event.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
} 

///////////////
// VARIABLES //
///////////////
$event_date = get_post_meta( get_the_ID(), '_event_date_start', true );
$event_time = get_post_meta( get_the_ID(), '_event_time_start', true );
$event_date = strtotime( $event_date );
$date_format = angio_toolkit_get_option( 'event_date_single', 'd.m.y' );

?>

<div class="event event--event1">

	<?php if ( function_exists('angio_toolkit_event_header')  ) :?>
		<?php echo angio_toolkit_event_header([]); ?>
	<?php endif; ?>

	
	<div class="row row-medium-gutter">
		
		<div class="col-xl-8 col-lg-6 col-12">
			
			<div class="event__text is-waypoint">
				<?php
				//////////////////
				// POST CONTENT //
				//////////////////
				while ( have_posts() ) { 
					the_post();
					// Render content
					the_content();
				} ?>
			</div>
		</div>


		<div class="col-xl-4 col-lg-6 col-12">
			<?php 
			///////////
			// COVER //
			///////////

			$img_src = angio_get_post_image( get_the_id(), 'full' );
			$unique_id = 'lb_' . uniqid();
			if ( function_exists('angio_toolkit_event_cover') && angio_toolkit_event_cover([]) !== '' ) :?>
				<?php echo angio_toolkit_event_cover([]); ?>
			<?php endif; ?>

			<div class="event__details is-waypoint">
	    		<?php 
				/////////////
				// DETAILS //
				/////////////
				?>
				<?php 
				if ( function_exists('angio_toolkit_event_details') && angio_toolkit_event_details([]) !== '' ) :?>
					<div class="event__details-list">
						<?php echo angio_toolkit_event_details([]); ?>
				<?php endif; ?>

				<?php 
				///////////////////
				// SHARE BUTTONS //
				///////////////////
				?>
				<?php if ( angio_get_option('display_share_buttons', 'off' ) === 'on' && function_exists('angio_toolkit_share_buttons') ) : ?>
				<div class="album__share-buttons">
					<?php echo angio_toolkit_share_buttons([]); ?>
				</div>
				<?php endif;?>
	        </div>

		</div>
	</div>
</div>