<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            render-content.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Copy Query 
$temp_post = $post;
$query_temp = $wp_query;

// Thumb size 
$thumb_size = 'large';

// Vertical or horizontal
$page_layout = get_post_meta( get_the_ID(), '_page', true );
$page_layout = ($page_layout === 'fullscreen' || $page_layout === 'default' ) ? 'fs-scroll--v' : 'fs-scroll--h';

// Item classes
$item_classes = ['gallery__item', 'fx-cursor', 'appear-from-bottom', 'waypoint-delay', 'is-waypoint', 'fx-lightbox'];
$thumb_classes = ['gallery__item-inner'];
if ( $page_layout !== 'fs-scroll--v' ) {
	$thumb_classes = ['gallery__item-inner'];
} 

// Images layout
$images_layout = get_post_meta( get_the_id(), '_images_layout', true );
$images_layout = ( $images_layout !== '' ? $images_layout : 'gallery--3-cols' );
$images_layout_h = get_post_meta( get_the_id(), '_images_layout_h', true );
$images_layout_h = ( $images_layout_h !== '' ? $images_layout_h : 'gallery--v1' );

// Vertical
// Column grid classes
$gallery_col_classes = 'col-xl-4 col-md-6 col-12';
if ( $images_layout === 'gallery--2-cols' ) {
	$gallery_col_classes = 'col-xl-6 col-md-6 col-12';
} elseif ( $images_layout === 'gallery--4-cols' ) {
	$gallery_col_classes = 'col-xl-3 col-md-6 col-12';
}
$images_layout = $images_layout . ' gallery--vertical row';

// Horizonatl
if ( $page_layout === 'fs-scroll--h' ) {
	$images_layout = $images_layout_h;
}

// Album ID 
$album_id = get_the_id();

// Images 
$images_ids = get_post_meta( get_the_id(), '_images', true ); 


// Counter
$cycle = 0;
?>
<?php if ( $images_ids || $images_ids !== '' ) :

	$ids = explode( '|', $images_ids ); 
   	$gallery_loop_args = array(
		'post_type'      => 'attachment',
		'post_mime_type' => 'image',
		'post__in'       => $ids,
		'orderby'        => 'post__in',
		'post_status'    => 'any',
		'showposts'      => -1
	);

	$wp_query = new WP_Query();
	$wp_query->query( $gallery_loop_args );
	?>

	<div class="gallery-grid <?php echo esc_attr( $images_layout ) ?>">

		<?php if ( have_posts() ) : ?>

			<?php while ( have_posts() ) : the_post(); ?>
				
				<?php 
				$image_att = wp_get_attachment_image_src( get_the_id(), $thumb_size );
				if ( ! $image_att[0] ) { 
					continue;
				}

				// Unique ID for lightbox content
				$unique_id = 'lb_' . uniqid();

				// Counter
				$cycle++;

				// Get image meta 
				$image = get_post_meta( $album_id, '_images_' . get_the_id(), true );

				// Add default values 
				$defaults = array(
					'title'      => '',
					'embed_code' => '',
					'image_style' => 'default', // video
		         );

				if ( isset( $image ) && is_array( $image ) ) {
					$image = array_merge( $defaults, $image );
				} else {
					$image = $defaults;
				}

				// Add image src to array 
				$image['src'] = $image_att[0];
				
				?>

				<?php if ( $page_layout === 'fs-scroll--v' ) : ?>

					<div class="gallery-col <?php echo esc_attr( $gallery_col_classes ) ?>">
					<div class="scroll-item__innner">

				<?php elseif ( $images_layout !== 'gallery--h3') : ?>

					<div class="scroll-item">
					<div class="scroll-item__innner">

				<?php else : ?>

						<?php if ( ($wp_query->current_post +1) !== ($wp_query->post_count) && $cycle !== 3 ) : ?>
					
							<div class="scroll-item">
								<div class="scroll-item__innner">

						<?php elseif ( ($wp_query->current_post +1) === ($wp_query->post_count) && $cycle !== 3  ) : ?>
							<div class="scroll-item">
								<div class="scroll-item__innner">

						<?php endif; ?>
						
				<?php endif; ?>

						<a href="#" class="<?php echo esc_attr( implode(' ', $item_classes ) ) ?>" title="<?php echo esc_attr( $image['title'] ); ?>" data-factor="40" data-cursor-class="click" data-lb-id="<?php echo esc_attr($unique_id) ?>">
		                	<?php
		                		$img_src = null;

		                		if ( $images_layout === 'gallery--h1' ) {
		                			$img_src = angio_resize_image( get_the_id(), 836, 522, 'c' );
		                		} else if ( $images_layout === 'gallery--h2' ) {
		                			$img_src = angio_resize_image( get_the_id(), 540, 720, 'c' );
		                		} else if ( $images_layout === 'gallery--h3' ) {
		                			
		                			$img_src = angio_resize_image( get_the_id(), 540, 720, 'c' );
		                			if ( $cycle !== 1 ) {
		                				$img_src = angio_resize_image( get_the_id(), 836, 522, 'c' );
		                			} 
		                	
		                		} else {
		                			// Vertical
		                			$img_src = angio_resize_image( get_the_id(), 836, 522, 'c' );
		                		}
		                		$img_src_full = angio_get_image( get_the_id(), 'full' );
		                	?>
		                	<?php if ( $img_src ) : ?>
		                		<div class="<?php echo esc_attr( implode(' ', $thumb_classes ) ) ?>">
			                		<div class="ithumb img">
			                			<?php if ($image['image_style'] === 'video') : ?>
			                				<div class="ithumb__icon"><span class="icon icon-play2"></span></div>
			                			<?php endif; ?>
			                				<img src="<?php echo esc_url( $img_src ) ?>" alt="<?php echo esc_attr( get_the_title() ); ?>">
			                		</div>
		                		</div>
		                		
		                	<?php endif; ?>
	                	</a>
	                	<?php // Hidden content ?>
	            		<div id="<?php echo esc_attr($unique_id) ?>" class="lightbox__content">
	            			<div class="lightbox__inner lightbox__<?php echo esc_attr( $image['image_style'] ) ?>">
	            				<?php if ( $image['embed_code'] !== '' ) : ?>
	            					<?php echo angio_esc( $image['embed_code'] ); ?>
	            				<?php else : ?>
	            					<img src="<?php echo esc_url( $img_src_full ) ?>" alt="<?php echo esc_attr( get_the_title() ); ?>">
	            				<?php endif; ?>
	            				<span class="lightbox__title"><?php echo wp_kses( $image['title'], 'title' ) ?></span>
	            			</div>
	            		</div>

	           	<?php if ( $images_layout !== 'gallery--h3' || ($wp_query->current_post +1) === ($wp_query->post_count) ) : ?>
					</div>
				</div>
				<?php else : ?>

					<?php if ( $cycle !== 2 ) : ?>
						</div>
					</div>
					<?php endif; ?>
						
				<?php endif; ?>

				<?php 
				// reset cycle
				if ( $cycle === 3 ) {
					$cycle = 0;
				}
				?>
			<?php endwhile; // End Loop ?>

		<?php endif; ?>
	</div>
<?php endif; ?>
<?php
   // Get orginal query
	$post     = $temp_post;
	$wp_query = $query_temp;
?>	