<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            title-simple.php
 * @package angio
 * @since 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Get custom vars 
$opts = get_query_var( 'angio_vars' );

// Container
$container_classes = array('container', 'container--narrow');

if (isset($opts['container_classes']) ) {
	$container_classes = $opts['container_classes'];
} 

// Post type
$post_type = get_post_type( get_the_ID() );

// Custom Title
if (isset($opts['custom_title']) && $opts['custom_title'] !== '') {
	$title = $opts['custom_title'];
} else {
	$title = get_the_title( get_the_ID() );
}

?>

<div class="pt pt-simple">
	<div class="pt-simple__inner is-waypoint fx-parallax-scroll" data-duration="200" data-trigger-hook="0" data-anim-obj='{"duration": "1", "yPercent":"15", "opacity":"0", "ease":"Linear.easeNone"}'>
		<div class="<?php echo esc_attr( implode(' ', $container_classes ) ) ?>">
			<?php if ( $post_type === 'post') : ?>
				<div class="pt-meta meta">
					<?php get_template_part( 'partials/meta', 'date' ); ?>
				</div>
			<?php endif; ?>
			<?php get_template_part( 'partials/meta', 'title' ); ?>
			<?php if ( $post_type === 'post') : ?>
				<div class="pt-meta meta">
					<?php get_template_part( 'partials/meta', 'categories' ); ?>
				</div>
			<?php endif; ?>
		</div>
	</div>
</div>