<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            sidebar-custom.php
 * @package angio
 * @since 1.0.0
 */

// Sidebar Variables
$sidebar_pos = 'disabled';
$theme_sidebar = false;
$custom_sidebar = '_default';

// Get custom sidebar
$custom_sidebar = get_post_meta( get_the_ID(), '_custom_sidebar', true );

// Get Sidebar postion
// left, right, disabled
if ( is_array($args) ) {
	if ( isset( $args['position'] ) ) {
		$sidebar_pos = $args['position'];
	}
	if ( isset( $args['custom_sidebar'] ) ) {
		$custom_sidebar = $args['custom_sidebar'];
	}
}

if ( $custom_sidebar === '' || $custom_sidebar === '_default' ) { 
    if ( is_active_sidebar( 'primary-sidebar' )  ) { 
        $theme_sidebar = 'primary-sidebar';
	}
} else {
	if ( is_active_sidebar( $custom_sidebar )  ) {
		$theme_sidebar = $custom_sidebar;
	}
}

?>
<?php if ( $theme_sidebar ) : ?>
	<?php if ( $sidebar_pos === 'left' || $sidebar_pos === 'right' ) : ?>
	<div id="sidebar">
		<div class="sidebar__block sidebar--<?php echo esc_attr($sidebar_pos) ?>">
			<a href="#" id="sidebar__trigger"></a>
			<div class="sidebar__inner">
				<div class="sidebar__content">
				    <aside>
					   <?php dynamic_sidebar( $theme_sidebar ); ?>
					</aside>
	        	</div>
	    	</div>
	    </div>
	    <div class="sidebar__layer fx-cursor" data-cursor-class="close"></div>
	</div>
	<?php endif; ?>
<?php endif; ?>