<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            single.php
 * @package angio
 * @since 1.0.0
 */

get_header();

// Content layout
$content = get_post_meta( get_the_ID(), '_content', true );
$content = ( $content !== '' ? $content : angio_get_option( 'post_def_content', 'default' ) );

// Title
$page_title = get_post_meta( get_the_ID(), '_page_title', true );
$page_title = ( $page_title !== '' ? $page_title : angio_get_option( 'post_def_page_title', 'simple' ) );

//////////////
// SET OPTS //
//////////////
$container_classes = array('container', 'container--narrow');
if ( $content === 'wide') {
	$container_classes = array('container');
} else if ( $content === 'fullwidth') {
	$container_classes = array('container', 'container--full');
} else if ( $content === 'elementor' ) {
	$container_classes = array('container--builder');
}
$loop_args = array( 
	'page_title' => $page_title,
	'container_classes' => $container_classes,
	'article_classes' => ['post-content__article', 'is-waypoint', 'appear-from-bottom']
);
set_query_var( 'angio_vars', $loop_args );


/////////////
// CONTENT //
/////////////
if ( in_array( $content, ['default','wide','fullwidth','elementor'], true ) ) {

		// Default
		get_template_part( 'partials/content', '' ); 
} 


////////////
// FOOTER //
////////////
get_footer();