<?php
/**
 * Theme Name:      Angio
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/theme/angio
 * Author URI:      http://rascalsthemes.com
 * File:            taxonomy.php
 * @package angio
 * @since 1.0.0
 */

get_header();

// Copy query 
$temp_post = $post;
$query_temp = $wp_query;


////////////
// CONFIG //
////////////

// Sidebar
// left, right, disabled
$sidebar_pos = angio_get_option( 'category_sidebar_pos', 'left' );


/////////////////
// LOOP BLOCK  //
/////////////////
$block = angio_get_option( 'category_block', 'news-index' );


///////////
// LOOP ///
///////////
$container_classes = array('container', 'container--narrow');

// Clear container classes for specified blocks
if ( $block === 'news3') {
	$container_classes = array('container');
}

$custom_vars = array( 
	'page_title'        => 'category',
	'custom_title'      => single_cat_title( '', false ),
	'custom_subtitle'   => esc_html__( 'Category', 'angio'),
	'type'              => 'news', 
	'block'             => $block, 
	'sidebar_pos'		=> $sidebar_pos,
	'container_classes' => $container_classes
);

set_query_var( 'angio_vars', $custom_vars );

// Get Loop
get_template_part( 'partials/loop', '' ); 

// Get footer
get_footer();