<?php
/**
 * Template Name: Albums Slider
 *
 * @package angio
 * @since 1.0.0
 */

get_header();

// Page layout
// default, fullscreen
$page = get_post_meta( get_the_ID(), '_page', true );
$page = ( $page !== '' ? $page : angio_get_option( 'page_def_page_layout', 'default' ) );

// Fade layer
$fade_layer = get_post_meta( get_the_ID(), '_fade_layer', true ); 
$fade_layer = ( ! isset( $fade_layer ) || $fade_layer === '' ) ? '0' : $fade_layer;


// Sidebar
$sidebar_pos = get_post_meta( get_the_ID(), '_sidebar_position', true ); 
$sidebar_pos = ( ! isset( $sidebar_pos ) || $sidebar_pos === '' ) ? angio_get_option( 'page_def_sidebar_pos', 'disabled' ) : $sidebar_pos;


$content_classes = array(
	'content--fullscreen', 
	'content--builder',
	'content--albums-slider'
);


//////////////
// BG MUSIC //
//////////////
if ( function_exists( 'angio_toolkit_get_audio' ) && angio_get_option( 'background_player', 'off' ) === 'on' ) {
	$track_id = get_post_meta( get_the_ID(), '_track_id', true );
	$track_ids = get_post_meta( get_the_ID(), '_tracks_ids', true );
    $tracks = angio_toolkit_get_audio( $track_id, $track_ids );

    if ( $tracks ) {
    	echo '<div class="rp-page-audio" data-audio="' . esc_url( $tracks[0]['url'] ) . '"></div>';
    }

}
?>

<div class="<?php echo esc_attr( implode(' ', $content_classes ) ) ?>">


<?php 

    if ( function_exists('angio_toolkit_glitch_slider') ) {
        echo angio_toolkit_glitch_slider( array('slider_id' => get_the_ID(), 'fade_layer' => $fade_layer  ) );
    }

 ?>

</div>


<?php
/////////////
// SIDEBAR //
/////////////
get_sidebar( 'custom', ['position' => $sidebar_pos ] );


// Get footer
get_footer();