<?php
/**
 * Template Name: Music ALbums
 *
 * @package angio
 * @since 1.0.0
 */

get_header();

// Page layout
// default, fullscreen
$page = get_post_meta( get_the_ID(), '_page', true );
$page = ( $page !== '' ? $page : angio_get_option( 'album_def_page_layout', 'default' ) );

// Content Width
$content = get_post_meta( get_the_ID(), '_content', true );
$content = ( $content !== '' ? $content : angio_get_option( 'album_def_content', 'default' ) );

// Title
$page_title = get_post_meta( get_the_ID(), '_page_title', true );
$page_title = ( $page_title !== '' ? $page_title : angio_get_option( 'album_def_page_title', 'simple' ) );


//////////////
// BG MUSIC //
//////////////
if ( function_exists( 'angio_toolkit_get_audio' ) && angio_get_option( 'background_player', 'off' ) === 'on' ) {
	$track_id = get_post_meta( get_the_ID(), '_track_id', true );
	$track_ids = get_post_meta( get_the_ID(), '_tracks_ids', true );
    $tracks = angio_toolkit_get_audio( $track_id, $track_ids );

    if ( $tracks ) {
    	echo '<div class="rp-page-audio" data-audio="' . esc_url( $tracks[0]['url'] ) . '"></div>';
    }

}


/////////////////
// LOOP BLOCK  //
/////////////////
$block = get_post_meta( get_the_ID(), '_albums_block', true );
$block = ( $block !== '' ? $block : 'albums' );

switch ($block) {
	case 'albums':
		$grid = 'col-xl-6 col-md-6 col-12';
		break;
	case 'albums2':
		$grid = 'col-xl-4 col-md-6 col-12';
		break;
	default:
		$grid = 'col-xl-4 col-md-6 col-12';
		break;
}
// Reset Block
$block = 'albums';

// Block for horizonatl fullscreen layout
if ( $page === 'fullscreen-horizontal' ) {
	$block = 'albums2';
	$grid = 'horizontal-grid';
}

// Filter 
$filter_args = array(
	'filter_atts'       => get_post_meta( get_the_ID(), '_filter_atts_albums', false ), 
	'ajax_filter'       => false,
	'show_filters'      => '',
	'filter_sel_method' => ''
);

// Queries  
$filters_query = angio_prepare_albums_filter( $filter_args );
$query_args = angio_prepare_wp_query( $filters_query, $paged );


///////////////
// VARIABLES //
///////////////
$container_classes = array('container', 'container--narrow');
if ( $content === 'wide') {
	$container_classes = array('container');
} else if ( $content === 'fullwidth') {
	$container_classes = array('container', 'container--full');
} 
$loop_args = array( 
	'page_title'        => $page_title,
	'grid'              => $grid, 
	'block'             => $block, 
	'query_args'        => $query_args,
	'container_classes' => $container_classes
);

// Set loop
set_query_var( 'angio_vars', $loop_args );

/////////////
// CONTENT //
/////////////

// Fullscreen
if ( $page === 'fullscreen' || $page === 'fullscreen-horizontal' ) {
	get_template_part( 'partials/loop', 'fullscreen' ); 
}

// Vertical Scroll
if ( $page === 'default' ) {

	if ( in_array( $content, ['wide','default', 'fullwidth'], true ) ) {
		
		// Get Loop
		get_template_part( 'partials/loop', '' ); 

	} 
}
 

////////////
// FOOTER //
////////////
get_footer();