<?php
/**
 * Template Name: Gallery
 *
 * @package angio
 * @since 1.0.0
 */

get_header();

///////////////////////
// CONTENT VARIABLES //
///////////////////////
$page = get_post_meta( get_the_ID(), '_page', true );
$page = ( $page !== '' ? $page : angio_get_option( 'gallery_def_page_layout', 'default' ) );

// Content layout
$content = get_post_meta( get_the_ID(), '_content', true );
$content = ( $content !== '' ? $content : angio_get_option( 'gallery_def_content', 'default' ) );

// Title
$page_title = get_post_meta( get_the_ID(), '_page_title', true );
$page_title = ( $page_title !== '' ? $page_title : angio_get_option( 'gallery_def_page_title', 'simple' ) );


////////////
// LAYOUT //
////////////
$container_classes = array('container', 'container--narrow');
if ( $content === 'wide') {
	$container_classes = array('container');
} else if ( $content === 'fullwidth') {
	$container_classes = array('container', 'container--full');
} 


//////////////////////
// CUSTOM VARIABLES //
//////////////////////
$custom_vars = array( 
	'page_title'          => $page_title,
	'render'              => 'gallery',
	'show_content_footer' => false,
	'show_nav'            => false,
	'show_comments'       => false,
	'container_classes'   => $container_classes
);

set_query_var( 'angio_vars', $custom_vars );


//////////////
// BG MUSIC //
//////////////
if ( function_exists( 'angio_toolkit_get_audio' ) && angio_get_option( 'background_player', 'off' ) === 'on' ) {
	$track_id = get_post_meta( get_the_ID(), '_track_id', true );
	$track_ids = get_post_meta( get_the_ID(), '_tracks_ids', true );
    $tracks = angio_toolkit_get_audio( $track_id, $track_ids );

    if ( $tracks ) {
    	echo '<div class="rp-page-audio" data-audio="' . esc_url( $tracks[0]['url'] ) . '"></div>';
    }

}


/////////////
// CONTENT //
/////////////

// Fullscreen
if ( $page === 'fullscreen' || $page === 'fullscreen-horizontal' ) {
	get_template_part( 'partials/content', 'fullscreen' ); 
}

// Vertical Scroll
if ( $page === 'default' ) {

	if ( in_array( $content, ['default','wide','fullwidth','elementor'], true ) ) {
		
		// Default
		get_template_part( 'partials/content', '' ); 

	} 
}
 

////////////
// FOOTER //
////////////
get_footer();