<?php
/**
 * Template Name: News
 *
 * @package angio
 * @since 1.0.0
 */

get_header(); 

// Set classes and variables 
$content_classes = array(
	'content'
);

// Page layout
// default, fullscreen
$page = get_post_meta( get_the_ID(), '_page', true );
$page = ( $page !== '' ? $page : angio_get_option( 'event_def_page_layout', 'default' ) );

// Title
$page_title = get_post_meta( get_the_ID(), '_page_title', true );
$page_title = ( $page_title !== '' ? $page_title : angio_get_option( 'event_def_page_title', 'content-left' ) );

// Sidebar
$sidebar_pos = get_post_meta( get_the_ID(), '_sidebar_position', true ); 
$sidebar_pos = ( ! isset( $sidebar_pos ) || $sidebar_pos === '' ) ? angio_get_option( 'event_def_sidebar_pos', 'disabled' ) : $sidebar_pos;


//////////////
// BG MUSIC //
//////////////
if ( function_exists( 'angio_toolkit_get_audio' ) && angio_get_option( 'background_player', 'off' ) === 'on' ) {
	$track_id = get_post_meta( get_the_ID(), '_track_id', true );
	$track_ids = get_post_meta( get_the_ID(), '_tracks_ids', true );
    $tracks = angio_toolkit_get_audio( $track_id, $track_ids );

    if ( $tracks ) {
    	echo '<div class="rp-page-audio" data-audio="' . esc_url( $tracks[0]['url'] ) . '"></div>';
    }
}


/////////////////
// LOOP BLOCK  //
/////////////////
$block = get_post_meta( get_the_ID(), '_block', true );
$block = ( $block !== '' ? $block : 'news' );


////////////
// FILTER //
////////////
$filter_args = array(
	'filter_atts'       => get_post_meta( get_the_ID(), '_filter_atts', false ), 
	'ajax_filter'       => false,
	'show_filters'      => '',
	'filter_sel_method' => ''
);

$filters_query = angio_prepare_posts_filter( $filter_args );
$query_args = angio_prepare_wp_query( $filters_query, $paged );


///////////
// LOOP ///
///////////
$container_classes = array('container', 'container--narrow');

// Clear container classes for specified blocks
if ( $block === 'news3') {
	$container_classes = array('container');
}

$custom_vars = array( 
	'page_title'        => $page_title,
	'block'             => $block, 
	'query_args'        => $query_args,
	'sidebar_pos'       => $sidebar_pos,
	'container_classes' => $container_classes
);

set_query_var( 'angio_vars', $custom_vars );

// Get Loop
get_template_part( 'partials/loop', '' ); 


////////////
// FOOTER //
////////////
get_footer();